> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shoppex.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update custom domain

> Developer API operation for PATCH /dev/v1/store/domains/custom.



## OpenAPI

````yaml /openapi.json patch /dev/v1/store/domains/custom
openapi: 3.0.3
info:
  title: Shoppex Developer API
  description: Mintlify-compatible Developer API reference for Shoppex.
  version: 1.0.0
  contact:
    name: Shoppex Support
    email: support@shoppex.io
    url: https://shoppex.io
servers:
  - url: https://api.shoppex.io
security:
  - bearerAuth: []
paths:
  /dev/v1/store/domains/custom:
    patch:
      tags:
        - Store
      summary: Update custom domain
      description: Developer API operation for PATCH /dev/v1/store/domains/custom.
      operationId: patchDevV1StoreDomainsCustom
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - domain
                - cloudflare_id
              properties:
                domain:
                  type: string
                cloudflare_id:
                  type: string
          multipart/form-data:
            schema:
              type: object
              required:
                - domain
                - cloudflare_id
              properties:
                domain:
                  type: string
                cloudflare_id:
                  type: string
          text/plain:
            schema:
              type: object
              required:
                - domain
                - cloudflare_id
              properties:
                domain:
                  type: string
                cloudflare_id:
                  type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    additionalProperties: true
      deprecated: false
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Use your Shoppex API key in the Authorization header.

````